import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Pagination } from "@alicloudfe/components";
import cls from "classnames";
import BDesignTheme from '../theme';

var BDesignPagination = function BDesignPagination(props) {
  var className = props.className,
      theme = props.theme,
      rest = _objectWithoutProperties(props, ["className", "theme"]);

  return /*#__PURE__*/React.createElement(BDesignTheme, {
    theme: theme
  }, function (theme) {
    return /*#__PURE__*/React.createElement(Pagination, _extends({
      className: cls(className, {
        'next-pagination-dark': theme === 'dark'
      })
    }, rest));
  });
};

export default BDesignPagination;